[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.FontChanged

Implements the event handler signalled when the Font has been changed for the control.

## Declaration

Source position: controls.pp line 2297

`protected procedure TWinControl.FontChanged(`
`Sender: TObject`
`); override;`

## Arguments

`Sender` |  | Object instance (TFont) for the event notification.

## Description

FontChanged is an overridden method in TWinControl which implements the handler assigned for OnChange events in the control Font. The assignment occurs in the inherited constructor. FontChanged is called when a new value of assigned to the Font property in the control.

FontChanged ensures that the widgetset class instance uses the TFont instance in the Sender argument when its handle has been allocated. It also updates the control flags to remove the value wcfFontChanged when the widgetset class has been updated. If the widgetset handle has not been allocated, the value wcfFontChanged is included in the control flags.

FontChanged calls the inherited method. NotifyControls is called to notify child controls of the change to their parent font.

## See also

TWinControl.NotifyControls |  | Sends a message to all child controls.
TControl.FontChanged |  | Handles changes to the Font property.